# script - Irssi 1.0 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.0. The current release version is Neırssi 1.3.

# script

## Syntax

## Parameters

`LIST`: | Displays the list of loaded scripts.
`EXEC`: | Executes the given code.
`LOAD`: | Loads the given script into the memory and executes it.
`UNLOAD`: | Unloads the given script from the memory.
`RESET`: | Unloads all the scripts.
`-permanent`: | In combination with EXEC, the code will be loaded into the memory.
`-autorun`: | When passed to RESET the scripts in the autorun folder are reloaded.

If no argument is given, the list of active scripts will be displayed.

## Description

Interact with the Perl engine to execute scripts.

## Examples

    /SCRIPT
    /SCRIPT LIST
    /SCRIPT LOAD ~/.irssi/scripts/nickserv.pl
    /SCRIPT UNLOAD nickserv
    /SCRIPT RESET
    /SCRIPT EXEC foreach my $channel (Irssi::channels()) { Irssi::print($channel->{name} . ' @ ' . $channel->{server}->{tag}); }

## See also

LOAD, SAVE, UNLOAD